> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets detailed information about the catalog

> Gets detailed information about the catalog structure, e.g. required column set



## OpenAPI

````yaml /openapi.json get /api/publicapi/v1/catalogs/{catalogId}
openapi: 3.0.4
info:
  title: Vantage processing REST API
  description: 'Environment: Production<br>Product Version: 1.6.17'
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs/{catalogId}:
    get:
      tags:
        - Catalogs
      summary: Gets detailed information about the catalog
      description: >-
        Gets detailed information about the catalog structure, e.g. required
        column set
      operationId: GetCatalog
      parameters:
        - name: catalogId
          in: path
          description: Catalog identifier. You can find it in the list of all catalogs.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Catalog info is successfully returned
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDto
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDto
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDto
        '404':
          description: Catalog not found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDto:
      required:
        - columns
        - id
        - name
        - rowCount
      type: object
      properties:
        id:
          minLength: 1
          type: string
          description: Unique identifier of the catalog
        name:
          minLength: 1
          type: string
          description: Name of the catalog
        columns:
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ColumnDto
          description: Columns of the catalog
        rowCount:
          type: integer
          description: Total number of rows in the catalog
          format: int32
      additionalProperties: false
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ColumnDto:
      required:
        - name
        - notEmpty
        - type
      type: object
      properties:
        name:
          minLength: 1
          type: string
          description: Name of the catalog column
        type:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.ColumnType
        notEmpty:
          type: boolean
          description: ''
      additionalProperties: false
    Abbyy.Vantage.PublicApi.Contract.Catalogs.ColumnType:
      enum:
        - Text
        - Double
        - Integer
        - Date
      type: string
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````